hnscnvt

## Class HNSInputAsSignSequence

- java.lang.Object
- - hnscnvt.HNSInputAsSignSequence

- Direct Known Subclasses:
    HNSStdAsSignSequence, HNSTAsSignSequence

      public abstract class HNSInputAsSignSequence
      extends java.lang.Object

  Driver for the scanning of a sign sequence text in one of our legacy non-XML input formats (HNS and HNST) in order to generate a pair of arrays, one containing the corresponding `HNSSign`s and the other containing the corresponding <hns_sign> element strings; this sign generation process also records the signs' gloss names and any input data format error messages. This class is abstract. Its concrete subclasses are `HNSTAsSignSequence` and `HNSStdAsSignSequence`, each of which defines the appropriate sign generation operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HNSInputAsSignSequence(java.lang.String hnstext)` Constructor, generating a new sign sequence from the given HNS/HNST input text.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HNSSign[]` | `hnsSignSequence()` Returns the generated sequence of `HNSSign`s.
    `java.lang.String` | `sigmlErrorText()` Returns the consolidated error text for the HNS/HNST input data, which will be the empty string if the input has no errors.
    `java.lang.String[]` | `sigmlHNSSigns()` Returns the generated sequence of `<hns_sign>` element texts.
    `int` | `sigmlInputErrorCount()` Returns the error count for the HNS/HNST input data.
    `java.lang.String[]` | `signGlosses()` Returns the generated signs' glosses, one per sign.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HNSInputAsSignSequence

          public HNSInputAsSignSequence(java.lang.String hnstext)

      Constructor, generating a new sign sequence from the given HNS/HNST input text. The essential work is all done here; the remaining public methods are just accessors for the results of this work.

  - ### Method Detail

    - #### hnsSignSequence

          public HNSSign[] hnsSignSequence()

      Returns the generated sequence of `HNSSign`s.

    - #### sigmlHNSSigns

          public java.lang.String[] sigmlHNSSigns()

      Returns the generated sequence of `<hns_sign>` element texts.

    - #### signGlosses

          public java.lang.String[] signGlosses()

      Returns the generated signs' glosses, one per sign.

    - #### sigmlErrorText

          public java.lang.String sigmlErrorText()

      Returns the consolidated error text for the HNS/HNST input data, which will be the empty string if the input has no errors.

    - #### sigmlInputErrorCount

          public int sigmlInputErrorCount()

      Returns the error count for the HNS/HNST input data.